Partage

Intégration Twitter

Sujet résolu
12 janvier 2018 à 22:18:49

J'essaye d'intégrer un tweet sur mon site en utilisant le code fourni sur le site https://publish.twitter.com/# qui est

<blockquote class="twitter-tweet" data-theme="light">
<p lang="fr" dir="ltr">Même moi je m&#39;y suis pris à deux fois pour trouver le &quot;haut&quot; du &quot;bas&quot; sur ce cliché au moment de trier mes photos! <a href="https://twitter.com/hashtag/Proxima?src=hash&amp;ref_src=twsrc%5Etfw">#Proxima</a> <a href="https://t.co/n7bu84dOxO">pic.twitter.com/n7bu84dOxO</a></p>&mdash; Thomas Pesquet (@Thom_astro) <a href="https://twitter.com/Thom_astro/status/835589562944598017?ref_src=twsrc%5Etfw">February 25, 2017</a>
</blockquote>

<script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script> 

Le problème est que j'utilise Firefox Developper Edition, et ce navigateur me met une erreur de type SecurityError du script inséré précédemment au lien "https://platform.twitter.com/widgets.js".

Erreur :

SecurityError: The operation is insecure.
widget_iframe.9c00c8ca14a8618c4db8e2c43139b138.html:12
o
https://platform.twitter.com/widgets/widget_iframe.9c00c8ca14a8618c4db8e2c43139b138.html:12:6633
<anonyme>
https://platform.twitter.com/widgets/widget_iframe.9c00c8ca14a8618c4db8e2c43139b138.html:12:6796
n
https://platform.twitter.com/widgets/widget_iframe.9c00c8ca14a8618c4db8e2c43139b138.html:5:210
<anonyme>
https://platform.twitter.com/widgets/widget_iframe.9c00c8ca14a8618c4db8e2c43139b138.html:5:364
n
https://platform.twitter.com/widgets/widget_iframe.9c00c8ca14a8618c4db8e2c43139b138.html:5:210
<anonyme>
https://platform.twitter.com/widgets/widget_iframe.9c00c8ca14a8618c4db8e2c43139b138.html:5:331
<anonyme>
https://platform.twitter.com/widgets/widget_iframe.9c00c8ca14a8618c4db8e2c43139b138.html:5:110
<anonyme>
https://platform.twitter.com/widgets/widget_iframe.9c00c8ca14a8618c4db8e2c43139b138.html:5:2

Comment puis-je la contrer ? (je précise que le bug est uniquement présent sur Firefox et non sur les autres navigateurs comme Chrome)

Merci d'avance !


-
Edité par xam4lor 12 janvier 2018 à 22:19:19

--xam4lor
12 janvier 2018 à 22:30:34

Bonjour,

A aucun moment sur : https://publish.twitter.com/# je n’obtiens le code généré que tu nous montres.

Voici ce que j’obtiens de mon côté en mode Grid :

<a class="twitter-grid" data-dnt="true" href="https://twitter.com/TwitterDev/timelines/539487832448843776?ref_src=twsrc%5Etfw">National Park Tweets</a> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script> 

Et en mode Timeline :

<a class="twitter-timeline" data-theme="light" href="https://twitter.com/TwitterDev/timelines/539487832448843776?ref_src=twsrc%5Etfw">National Park Tweets - Curated tweets by TwitterDev</a> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script> 




Lord Morpheus, Seigneur Morphée, Dieu Grecs des Songes, Fils de la Nuit et du Sommeil
12 janvier 2018 à 22:51:57

Si, mais pour cela il faut rentrer l'URL d'un seul Tweet.

Comme celui que je veux intégrer par exemple : https://twitter.com/Thom_astro/status/835589562944598017

Et c'est précisemment celui généré avec cette URL qui bug (les autres marchent très bien !)

--xam4lor
12 janvier 2018 à 23:09:25

https://jsfiddle.net/L5gwms7x/1/

Je n'ai aucun soucis sur la dernière version de Firefox 58.0b15

Pourquoi travail tu sur la version Developper Edition de Firefox? Elle n'es pas "stable" puisqu'en développement. Il es donc inutile de l'utiliser pour tester son intégration, l'utilisateur lambda ne disposera jamais de cette version de Firefox!

Edit : Je viens de tester sur la version Developper Edition (58.0b16) et je n'ai aucun soucis, ça fonctionne.

-
Edité par Lord Morpheus 12 janvier 2018 à 23:12:15

Lord Morpheus, Seigneur Morphée, Dieu Grecs des Songes, Fils de la Nuit et du Sommeil
12 janvier 2018 à 23:50:01

Bizarre ......

La même erreur sur https://jsfiddle.net/L5gwms7x/1/

J'utilise Firefox Developper Edition 58.0b15 (64 bits) !

-
Edité par xam4lor 12 janvier 2018 à 23:51:50

--xam4lor
7 juin 2018 à 15:58:12

Bonjour,

J'ai la même erreur que vous ! Vous avez trouvé la solution/raison ? Si oui je suis preneur, ce truc me rend fou !

Pourtant le script vient de la plateforme twitter, ca marche sous chrome mais pas sous IE ou Firefox, une idée ?

Merci à vous 

ZP

7 juin 2018 à 21:07:10

perso sur firefox quantum tout marche tu dois avoir une extension qui bloque les mouchards et donc bloque ta timeline perso je l'avais et quand je mettais une timeline ca me mettait un display:none automatique
25 juin 2018 à 21:06:45

C'est étrange car cela remarche maintenant sans que je n'ai rien changé ! Toutes mes extensions notamment anti-mouchards toujours activées !

Mise à jour de Firefox peut être ?

En tout cas cela remarche pour moi ... Donc sujet résolu ! Merci !

-
Edité par xam4lor 25 juin 2018 à 21:07:26

--xam4lor

Intégration Twitter

× Après avoir cliqué sur "Répondre" vous serez invité à vous connecter pour que votre message soit publié.
  • Editeur
  • Markdown